Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421291 - [RFE] Support VMware 6.5 HTML Console
Summary: [RFE] Support VMware 6.5 HTML Console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.9.0
Assignee: Dávid Halász
QA Contact: Kedar Kulkarni
URL:
Whiteboard: html5
Depends On:
Blocks: 1438520
TreeView+ depends on / blocked
 
Reported: 2017-02-10 21:54 UTC by Josh Carter
Modified: 2020-07-16 09:12 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1438520 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:23:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 CFME Bot 2017-04-03 13:33:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/84e2c75ca564c1db9c52f4393e4503796ad145c9

commit 84e2c75ca564c1db9c52f4393e4503796ad145c9
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Feb 16 18:29:13 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Mar 30 16:52:42 2017 +0200

    Support for VMware's new WebMKS HTML consoles in the UI
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1421291

 app/controllers/vm_remote.rb                       |  17 +-
 .../application_helper/button/vm_webmks_console.rb |  12 +
 .../application_helper/toolbar/x_vm_center.rb      |   8 +
 app/views/ops/_settings_server_tab.html.haml       |   2 +-
 app/views/vm_common/console_webmks.html.haml       |  19 +
 config/initializers/assets.rb                      |   5 +-
 vendor/assets/images/webmks/touch_sprite.png       | Bin 0 -> 24870 bytes
 .../assets/images/webmks/touch_sprite_feedback.png | Bin 0 -> 17962 bytes
 vendor/assets/javascripts/webmks.js                |   6 +
 vendor/assets/stylesheets/webmks.scss              | 661 +++++++++++++++++++++
 10 files changed, 725 insertions(+), 5 deletions(-)
 create mode 100644 app/helpers/application_helper/button/vm_webmks_console.rb
 create mode 100644 app/views/vm_common/console_webmks.html.haml
 create mode 100644 vendor/assets/images/webmks/touch_sprite.png
 create mode 100644 vendor/assets/images/webmks/touch_sprite_feedback.png
 create mode 100644 vendor/assets/javascripts/webmks.js
 create mode 100644 vendor/assets/stylesheets/webmks.scss


Note You need to log in before you can comment on or make changes to this bug.